Witaj na Forum Linuxiarzy
Zanim zalogujesz się, by pisać na naszym forum zapoznaj się z kilkoma zasadami savoir-vivre'u w wątku Administracja-> Przywitaj się. Wątki z problemami zamieszczone w dziale "Przywitaj się" będą usuwane.

Autor Wątek: problem z aktualizacją  (Przeczytany 3183 razy)

Offline Piejanto

  • Full Member
  • ***
  • Wiadomości: 143
problem z aktualizacją
« dnia: Styczeń 13, 2018, 12:01:28 pm »
Kolejny problem z aktualizacją Antergosa. Mam trzy maszynki:
1/ najmłodsza,laptop HP;
2/ średniostara, laptop ACER;
3/ najstarsza, netbook ACER.

Problem jest następujący:

Gdy aktualizuję system, to:

1/ na laptopie HP aktualizacja ma problem z budowaniem webkitgtk 2.4.11-7
2/ na laptopie ACER aktualizacja ma problem z budowaniem webkitgtk 2.4.11-7
                                                                                         lib32/qt4 4.8.7-13
                                                                                           qtwebkit 2.3.4-6
                                                                                             qt5-quick1 5.9.2-1
                                                                                              geoclue 0.12.99*3
3/ Netbook Acer nie ma żadnych problemów z aktualizacją.

Jeśli chodzi o webkitgtk, to budowanie się zaczyna i nie kończy. W pewnym momencie zaczyna się od nowa i wchodzi w pętlę. Kiedyś budował przez całą noc i nie zbudował.

Jeśli chodzi o budowanie na laptopie Acer, to zaczyna budować i po pewnym czasie sygnalizuje błąd i zakończenie budowania.  Próbowałem aktualizować jak leci i oddzielnie, po kolei każdą pozycję i za każdym razem jest podobnie. Proszę o pomoc.

Offline Robert75

  • Hero Member
  • *****
  • Wiadomości: 887
  • Nie ufaj nikomu w sieci, nawet mi.
Odp: problem z aktualizacją
« Odpowiedź #1 dnia: Styczeń 13, 2018, 12:49:01 pm »
Sprawdż czy rzeczywiście potrzebujesz webkitgtk. Ten problem był niedawno poruszany na Forum Manjaro.
https://manjaro.pl/forum/topic/pamac-logi-z-ostatniej-nieudanej-aktualizacji-pakietu/#post-6540
Anarchy Xfce - 64Bit Linux User #621110
PC: HP Compaq 6200 Pro MT / CPU: Intel Core 4x i3-2100 CPU @ 3.10GHz / GPU: Intel HD Graphics 2000 / Nvidia GeForce 7600 GT / RAM: 8 GB / Dysk: HDD 1 TB

Offline Piejanto

  • Full Member
  • ***
  • Wiadomości: 143
Odp: problem z aktualizacją
« Odpowiedź #2 dnia: Styczeń 16, 2018, 05:35:50 pm »
OK dzięki. Odpowiedź : "(Jeśli chodzi o poboczny wątek – pakiet webkitgtk2, to okazało się, że jest to wyłączna zależność osieroconego pakietu pywebkitgtk, więc oba poszły do kosza.)"  nieco mnie uspokoiła.
Nie wiem tylko jak zrobić aby aktualizator nie wyświetlał mi bez przerwy, na czerwono, konieczności aktualizacji czegoś, co nie jest mi potrzebne.

Pozostaje sprawa laptopa ACER, gdzie aktualizacje wymienionych pakietów :
                                                                                         lib32/qt4 4.8.7-13
                                                                                           qtwebkit 2.3.4-6
                                                                                             qt5-quick1 5.9.2-1
                                                                                              geoclue 0.12.99*3
                                                                                    zawsze kończą się błędem i przerwaniem aktualizacji.
Nie wiem, czy mi są te pakiety potrzebne, ale czerwone słoneczko na pasku niepokoi. W sumie da się przeżyć zatem bardzo dziękuję za odpowiedź ale gdyby się dało coś z tym zrobić byłoby lepiej. Dzięki.

Offline PomPom

  • Hero Member
  • *****
  • Wiadomości: 1265
  • dawniej Dziadek Starowinek
Odp: problem z aktualizacją
« Odpowiedź #3 dnia: Styczeń 16, 2018, 06:18:50 pm »
Jak brzmi błąd?
( ಥ益ಥ)Arch Linux Plasma & MATE Chrome OS

Offline Piejanto

  • Full Member
  • ***
  • Wiadomości: 143
Odp: problem z aktualizacją
« Odpowiedź #4 dnia: Styczeń 17, 2018, 07:49:52 pm »
W przypadku  lib32/qt4 4.8.7-13

curl: (23) Failed writing body (913 != 1448)
==> BŁĄD: Błąd podczas pobierania http://download.qt.io/official_releases/qt/4.8/4.8.7/qt-everywhere-opensource-src-4.8.7.tar.gz
    Przerywam...


W przypadku qt5-quick1

Budowanie qt5-quick1...
Cloning into 'qt5-quick1'...
error: copy-fd: write returned: Brak miejsca na urządzeniu
fatal: cannot copy '/usr/share/git-core/templates/hooks/pre-rebase.sample' to '/tmp/pamac-build-jan/qt5-quick1/.git/hooks/pre-rebase.sample': Brak miejsca na urządzeniu


Przy czym fdisk pokazuje mi następująco :

Urządzenie Rozruch  Początek    Koniec   Sektory Rozmiar Id Typ
/dev/sda1               2048  27265023  27262976     13G 27 Ukryta HPFS WinRE
/dev/sda2           27265024  27469823    204800    100M  7 HPFS/NTFS/exFAT
/dev/sda3           27469824 222307701 194837878   92,9G  7 HPFS/NTFS/exFAT
/dev/sda4          222308350 625141759 402833410  192,1G  5 Rozszerzona
/dev/sda5          619395072 625141759   5746688    2,8G 82 Linux swap / Solaris
/dev/sda6  *       222308352 619395071 397086720  189,4G 83 Linux


Offline pavroo

  • Global Moderator
  • Hero Member
  • *****
  • Wiadomości: 1647
Odp: problem z aktualizacją
« Odpowiedź #5 dnia: Styczeń 17, 2018, 08:01:19 pm »
Cytuj
Brak miejsca na urządzeniu
A co wyrzuci:
df -h
Nic nie jest tak proste, jak się wydaje.
Danielle Steel

Offline Piejanto

  • Full Member
  • ***
  • Wiadomości: 143
Odp: problem z aktualizacją
« Odpowiedź #6 dnia: Styczeń 19, 2018, 12:00:27 am »
 df -h
System plików  rozm. użyte dost. %uż. zamont. na
dev             1,4G     0  1,4G   0% /dev
run             1,4G  1,1M  1,4G   1% /run
/dev/sda6       187G   65G  120G  36% /
tmpfs           1,4G  9,6M  1,3G   1% /dev/shm
tmpfs           1,4G     0  1,4G   0% /sys/fs/cgroup
tmpfs           1,4G   33M  1,3G   3% /tmp
tmpfs           268M  8,0K  268M   1% /run/user/1000

Offline Piejanto

  • Full Member
  • ***
  • Wiadomości: 143
Odp: problem z aktualizacją
« Odpowiedź #7 dnia: Luty 14, 2018, 09:13:41 pm »
Teraz mam jeszcze większy problem z aktualizacją. Od pewnego czasu przychodzą aktualizacje i oba laptopy (ACER i HP) nie chcą ich przyjmować. Po uruchomieniu aktualizacji otrzymuję komunikat:

 "przygotowanie operacji nie powiodło się.  Nie udało się  rozwiązać zależności. Usunięcie fontsproto uszkadza zależność 'fontsproto>=2.1.3' wymagane przez libxfont. "

Na obu laptopach jest Antergos. Mam też starego notebooka ACER z Antergosem, ale ten mi mówi, że system jest całkowicie zaktualizowany. Proszę o pomoc. Co powinienem zrobić?

Offline Robert75

  • Hero Member
  • *****
  • Wiadomości: 887
  • Nie ufaj nikomu w sieci, nawet mi.
Odp: problem z aktualizacją
« Odpowiedź #8 dnia: Luty 15, 2018, 12:28:03 am »
Antergos ostatnimi czasy po prostu się zepsuł, moja rada zmiana dystrybucji. Ja bym Tobie polecił Manjaro XFCE, naprawdę bardzo solidny system. Lub jak wolisz coś bliżej Arch-a, to polecam SwagArch albo ArchMan. A Antergos-a bym sobie odpuścił.
Anarchy Xfce - 64Bit Linux User #621110
PC: HP Compaq 6200 Pro MT / CPU: Intel Core 4x i3-2100 CPU @ 3.10GHz / GPU: Intel HD Graphics 2000 / Nvidia GeForce 7600 GT / RAM: 8 GB / Dysk: HDD 1 TB

Offline Robert75

  • Hero Member
  • *****
  • Wiadomości: 887
  • Nie ufaj nikomu w sieci, nawet mi.
Odp: problem z aktualizacją
« Odpowiedź #9 dnia: Luty 15, 2018, 11:58:07 am »
"przygotowanie operacji nie powiodło się.  Nie udało się  rozwiązać zależności. Usunięcie fontsproto uszkadza zależność 'fontsproto>=2.1.3' wymagane przez libxfont. "

Pakiet libxfont należy usunąć. Tak pisze philm, deweloper Manjaro.

https://forum.manjaro.org/t/testing-update-2018-02-15-kernels-firefox-dev-bluez-haskell-python/40450/2
« Ostatnia zmiana: Luty 16, 2018, 02:46:31 pm wysłana przez Robert75 »
Anarchy Xfce - 64Bit Linux User #621110
PC: HP Compaq 6200 Pro MT / CPU: Intel Core 4x i3-2100 CPU @ 3.10GHz / GPU: Intel HD Graphics 2000 / Nvidia GeForce 7600 GT / RAM: 8 GB / Dysk: HDD 1 TB

Offline Piejanto

  • Full Member
  • ***
  • Wiadomości: 143
Odp: problem z aktualizacją
« Odpowiedź #10 dnia: Luty 16, 2018, 05:24:25 pm »
Robert75. Bardzo bym nie chciał przesiadać się na inny system. Szukałem tego 'libxfont' aby to usunąć. Jak się domyślam, chodzi o fonty ekranowe i trochę mam pietra aby to usunąć, ale mógłbym spróbować po archiwizacji na mniej używanym laptopie. Tyle tylko, że nie mogę tego znaleźć. Podana przez ciebie strona mówi o ścieżce >xorg/lib/lib/libXfont<.  Przeglądałem wszystkie katalogi i jakoś nie trafiłem ani na 'libxfont' ani na 'libXfont', nie mówiąc o tym że wśród głównych katalogów nie ma 'xorg' czy też '/xorg'. Owszem znalazłem kilka razy 'xorg' ale nie ma dalszej części ścieżki.  Może poczekam jeszcze na jakiś ruch  twórców Antergosa albo jakąś poradę. Dzięki.

Offline PomPom

  • Hero Member
  • *****
  • Wiadomości: 1265
  • dawniej Dziadek Starowinek
Odp: problem z aktualizacją
« Odpowiedź #11 dnia: Luty 16, 2018, 05:36:47 pm »
Coś tam zmienili, że żadnej ścieżki nie widzę, a po prostu komendę sudo pacman -R libxfont ?
W Archu ten pakiet nazywa się libxfont2, więc wpisz tę komendę, ale dodaj 2 do nazwy pakietu. Twórcy Antergosa raczej nic nie zrobią, więc bym na to nie liczył.
( ಥ益ಥ)Arch Linux Plasma & MATE Chrome OS

Offline Robert75

  • Hero Member
  • *****
  • Wiadomości: 887
  • Nie ufaj nikomu w sieci, nawet mi.
Odp: problem z aktualizacją
« Odpowiedź #12 dnia: Luty 16, 2018, 06:03:34 pm »
Piejanto Żle zrozumiałeś należy odinstalować pakiet, a nie usuwać żadnego pliku.

Ja na Twoim miejscu bym zainstalował pakiet libxfont2, i w diabły usunął libxfont, który blokuje aktualizacje.
« Ostatnia zmiana: Luty 18, 2018, 12:07:31 pm wysłana przez Robert75 »
Anarchy Xfce - 64Bit Linux User #621110
PC: HP Compaq 6200 Pro MT / CPU: Intel Core 4x i3-2100 CPU @ 3.10GHz / GPU: Intel HD Graphics 2000 / Nvidia GeForce 7600 GT / RAM: 8 GB / Dysk: HDD 1 TB

Offline Piejanto

  • Full Member
  • ***
  • Wiadomości: 143
Odp: problem z aktualizacją
« Odpowiedź #13 dnia: Luty 25, 2018, 09:03:29 pm »
Dziadku Starowinku. Wielkie dzięki. Własnie jeśli chodzi o komendy, to nie mam się skąd tego nauczyć. Nakupowałem książek, a i tak jak potrzebuję jakiejś komendy, to nie umiem znaleźć niczego sensownego. Jak na razie  właśnie Wasze (kolegów "Linuxiarzy") komendy sobie pozapisywałem i jak na razie służy mi ten "przewodnik jak najlepiej. No ale -R dotychczas nie było. Dzięki. Zabieram się do roboty.

Offline PomPom

  • Hero Member
  • *****
  • Wiadomości: 1265
  • dawniej Dziadek Starowinek
Odp: problem z aktualizacją
« Odpowiedź #14 dnia: Luty 25, 2018, 09:09:55 pm »
https://wiki.manjaro.org/index.php?title=Pacman_Tips
Tu masz prosty spis.
( ಥ益ಥ)Arch Linux Plasma & MATE Chrome OS